package ch.zhaw.gartenverwaltung.io;

public class WeatherService {
    private static final int NO_RAIN = 0;
    private static final int LITTLE_RAIN = 15;
    private static final int RAIN = 25;
    private static final int HEAVY_RAIN = 50;

    public SevereWeather causeSevereWeather(int randomWeather) {
        return switch (randomWeather) {
            case 1 -> SevereWeather.HAIL;
            case 2 -> SevereWeather.SNOW;
            case 3 -> SevereWeather.FROST;
            default -> null;
        };

    }

    public int causeRainAmount(int randomRainAmount) {
        return switch (randomRainAmount) {
            case 1 -> NO_RAIN;
            case 2 -> LITTLE_RAIN;
            case 3 -> RAIN;
            case 4 -> HEAVY_RAIN;
            default -> -1;
        };

    }
}
